Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sim.portrayal.grid
Class FastHexaValueGridPortrayal2D

    java.lang.Object
      sim.portrayal.FieldPortrayal
          sim.portrayal.FieldPortrayal2D
              sim.portrayal.grid.ValueGridPortrayal2D
                  sim.portrayal.grid.HexaValueGridPortrayal2D
                      sim.portrayal.grid.FastHexaValueGridPortrayal2D

All Implemented Interfaces:
  java.io.Serializable, Portrayal, Portrayal2D

    public class FastHexaValueGridPortrayal2D

extends HexaValueGridPortrayal2D

See Also:
  Serialized Form

Field Summary

Fields inherited from class sim.portrayal.grid.ValueGridPortrayal2D
`locationToPass`

Fields inherited from class sim.portrayal.FieldPortrayal2D
`DEFAULT, DONT_USE_BUFFER, USE_BUFFER`

Fields inherited from class sim.portrayal.FieldPortrayal
`classPortrayals, field, immutableField, portrayalForAll, portrayalForNonNull, portrayalForNull, portrayalForRemainder, portrayals`

Constructor Summary
`FastHexaValueGridPortrayal2D()`
`FastHexaValueGridPortrayal2D(boolean immutableField)` If immutableField is true, we presume that the grid doesn't change.
`FastHexaValueGridPortrayal2D(java.lang.String valueName)`
`FastHexaValueGridPortrayal2D(java.lang.String valueName, boolean immutableField)` If immutableField is true, we presume that the grid doesn't change.

Method Summary
`protected void` | `hitOrDraw(java.awt.Graphics2D graphics, DrawInfo2D info, Bag putInHere)` Instead of overriding the draw and hitObjects methods, you can optionally override this method to provide both the draw(...) and hitObjects(...) functionality in a single method, as it's common that these two methods have nearly identical code.

Methods inherited from class sim.portrayal.grid.HexaValueGridPortrayal2D
`getLocationPosition, getPositionLocation, getScale`

Methods inherited from class sim.portrayal.grid.ValueGridPortrayal2D
`getDefaultPortrayal, getMap, getValueName, getWrapper, newValue, setField, setMap, setValueName`

Methods inherited from class sim.portrayal.FieldPortrayal2D
`draw, getBuffering, getClipLocation, getObjectLocation, getObjectPosition, getRelativeObjectPosition, hitObjects, setBuffering, setObjectPosition`

Methods inherited from class sim.portrayal.FieldPortrayal
`getDefaultNullPortrayal, getField, getInspector, getName, getPortrayalForAll, getPortrayalForNonNull, getPortrayalForNull, getPortrayalForObject, getPortrayalForRemainder, getStatus, isDirtyField, isImmutableField, reset, setDirtyField, setImmutableField, setPortrayalForAll, setPortrayalForClass, setPortrayalForNonNull, setPortrayalForNull, setPortrayalForObject, setPortrayalForRemainder, setSelected, setSelected`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface sim.portrayal.Portrayal
`getInspector, getName, getStatus, setSelected`

Constructor Detail

### FastHexaValueGridPortrayal2D

    public FastHexaValueGridPortrayal2D(java.lang.String valueName,
                                        boolean immutableField)

  If immutableField is true, we presume that the grid doesn't change. This allows us to just re-splat the buffer.

### FastHexaValueGridPortrayal2D

    public FastHexaValueGridPortrayal2D(java.lang.String valueName)

### FastHexaValueGridPortrayal2D

    public FastHexaValueGridPortrayal2D(boolean immutableField)

  If immutableField is true, we presume that the grid doesn't change. This allows us to just re-splat the buffer.

### FastHexaValueGridPortrayal2D

    public FastHexaValueGridPortrayal2D()

Method Detail

### hitOrDraw

    protected void hitOrDraw(java.awt.Graphics2D graphics,
                             DrawInfo2D info,
                             Bag putInHere)

  Description copied from class: `FieldPortrayal2D`
  Instead of overriding the draw and hitObjects methods, you can optionally override this method to provide both the draw(...) and hitObjects(...) functionality in a single method, as it's common that these two methods have nearly identical code. You should test which operation to do based on whether or not graphics is null (if it is, you're hitting, else you're drawing).

  Overrides:
    `hitOrDraw` in class `HexaValueGridPortrayal2D`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD